Bug 1469230 - [3.4] scaleup playbook doesn't consider ca certificate specified in openshift_master_overwrite_certificates
[3.4] scaleup playbook doesn't consider ca certificate specified in openshift...
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.4.1
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.z
Assigned To: Andrew Butcher
Gan Huang
: NeedsTestCase
Depends On: 1426677
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 12:53 EDT by Andrew Butcher
Modified: 2017-08-17 21:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously the specified openshift_master_ca_certificate file was not deployed when performing a master scaleup. The scaleup playbooks have been updated to ensure that this certificate is deployed.
Story Points: ---
Clone Of: 1426677
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Gan Huang 2017-08-09 11:55:50 EDT
1) Test with openshift-ansible-3.4.63-1, issue reproduced, installer failed at:

RUNNING HANDLER [verify api server] ********************************************

2) Test with openshift-ansible-3.4.124-1, installer failed at:

TASK [openshift_manage_node : Wait for Node Registration] **********************
...
FAILED - RETRYING: Wait for Node Registration (2 retries left).
FAILED - RETRYING: Wait for Node Registration (1 retries left).
fatal: [ec2-54-145-219-149.compute-1.amazonaws.com -> ec2-54-209-97-70.compute-1.amazonaws.com]: FAILED! => {"attempts": 50, "changed": false, "cmd": ["oc", "get", "node", "ip-172-18-2-83.ec2.internal", "--config=/tmp/openshift-ansible-sTwU1w/admin.kubeconfig", "-n", "default"], "delta": "0:00:00.535600", "end": "2017-08-09 05:20:01.757457", "failed": true, "rc": 1, "start": "2017-08-09 05:20:01.221857", "stderr": "No resources found.\nError from server: nodes \"ip-172-18-2-83.ec2.internal\" not found", "stderr_lines": ["No resources found.", "Error from server: nodes \"ip-172-18-2-83.ec2.internal\" not found"], "stdout": "", "stdout_lines": []}

No ideas why the node of the first master was missed from `oc get nodes` list (The atomic-openshift-node service seems running). The whole logs for scaling-up playbooks will be attached later.
Comment 9 Gan Huang 2017-08-16 12:49:14 EDT
Retested with openshift-ansible-3.4.124-1.git.0.8bc631d.el7.noarch.rpm

Scale-up playbooks succeed both on containerized and rpm environments.

S2I build also works well against the new master.
Comment 10 Andrew Butcher 2017-08-17 15:58:33 EDT
@Gan Thanks! Can this bug be moved to verified status?

Note You need to log in before you can comment on or make changes to this bug.